## NAME

r.stage3 - NEXRAD weather radar input tool.
(GRASS Raster Program)

## GRASS VERSION

4.x

## SYNOPSIS

r.stage3 [-v] input=name [output=name]

## DESCRIPTION

A Stage III precipitation product is a mosaic of all the Stage II precipitation estimates within the RFC (River Forecast Center) area. The Stage III products are produced by merging radar precipitation estimates (Stage I) with ground truth data provided by rain gages. In the Arkansas-red River Forecast Center (ABRFC) this includes 15 88-D radars and approximately 500 rain gages. The 13 RFC's within the United States will eventually produce Stage III products. As of 4-94 the ABRFC is the only RFC currently producing Stage III products. As more radars come on line other RFC's will begin producing this product as well. The 88-D radars have difficulty detecting precipitation when the raindrops are very small or when the precipitation is in the form of snow. Under these conditions precipitation estimates tend to be under estimated. Large Hail within a storm causes the radar to over estimate precipitation amounts. The grid cell size is approximately 4 km by 4 km. The NetCDF files containing the precipitation values in the units of 1/100 of mm can be obtained from ABRFC's gopher server. r.stage3 program generates the GRASS raster map layers only in the Lat/Lon coordinate system. UTM is not utilized because the area being referenced is too large for a UTM zone. The region settings for the ABRFC's coverage area is:

     __________________________________________
     projection: 3 (Latitude-Longitude)
     zone:  0
     north: 41:16:06N
     south: 32:48:28N
     east:  90:53:28W
     west:  107:08:03W
     __________________________________________

You may use the clark66 spheroid and use any resolution that may be suitable as far as your other data requirements are concerned. (start with esres= nsres = 0:00:30).

This version of r.stage3 will work only on NetCDF files created after the 6th of April 1994.

You will need the NetCDF libraries created by the Unidata Program Center. The NetCDF libraries can be obtained via anonymous ftp from unidata.ucar.edu under pub/netcdf/netcdf.tar.Z. You will the need to compile the libraries. r.stage3 can be only run within GRASS. r.stage3 needs both the NetCDF libraries as well as the GRASS libraries. If you have all the libraries then r.stage3 can be compiled simply by running "gmake" (For GRASS 4.2 it is gmake4.2) in this directory.

In the above, if the output parameter is not specified then a mapname with the same name as that of the input parameter is created. The rainbow colortable is created for the resultant map. The resulting maps have a resolution of 0:02:59.

A few sample NetCDF files and the corresponding GIF files are provided in the sample directory. The vector directory contains the vector boundary output from the command v.out.ascii of the ABRFC basin.

To run r.stage3 on the sample files just go into the sample directory and type:

  r.stage3 -v in=04059418.nc

  This will create a raster map by the name 04059418.nc. Similarly r.stage3 can be run on other sample files. You can use the corresponding GIF files to compare them. Since the GIF files are in a different projection system, there is some distortion in between the raster maps and the GIF file. However the values in the raster are properly georeferenced.

  ### OPTIONS

  ### Flag:

  -v
    Verbose

  ### Parameters:

  input = name
    Name of the netcdf file to be converted.
  output = name
    Name of the resultant raster map.

  ## AUTHORS

  Nalneesh Gaur, Arkansas Red Basin River Forecast Center
  Norman L. Bingham, Arkansas Red Basin River Forecast Center

  Last changed: $Date: 2002/01/25 05:45:34 $